jQuery.noConflict();

/** Fire up jQuery - let's dance! 
 */
jQuery(document).ready(function($){
    
    var optionGroup_body_background = 'rdo_serpentsoft_body_background_styles';
    
    var divPattern = 'section-serpentsoft_open_container_background_patterns';
    var divBackgroundImage = 'section-serpentsoft_open_container_background_image';
    
    var background_style = jQuery("input[name='" + optionGroup_body_background + "']:checked").val();
    switch(background_style){
        case 'none':
            jQuery('#' + divPattern).hide();
            jQuery('#' + divBackgroundImage).hide();
            break;

        case 'pattern':
            jQuery('#' + divPattern).show();
            jQuery('#' + divBackgroundImage).hide();
            break;

        case 'custom':
            jQuery('#' + divPattern).hide();
            jQuery('#' + divBackgroundImage).show();
            break;

    }

    jQuery("input[name='" + optionGroup_body_background + "']").change(function(){

        var background_style = jQuery("input[name='" + optionGroup_body_background + "']:checked").val();

        switch(background_style){
        case 'none':
            jQuery('#' + divPattern).fadeOut();
            jQuery('#' + divBackgroundImage).fadeOut();
            break;

        case 'pattern':
            jQuery('#' + divPattern).fadeIn();
            jQuery('#' + divBackgroundImage).fadeOut();
            break;

        case 'custom':
            jQuery('#' + divPattern).fadeOut();
            jQuery('#' + divBackgroundImage).fadeIn();
            break;

        }
    });
    
});